package com.atguigu.spzx.manger.service.impl;

import com.atguigu.spzx.manger.mapper.ProductSpecMapper;
import com.atguigu.spzx.manger.service.ProductSpecService;
import com.atguigu.spzx.model.entity.product.ProductSpec;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ProductSpecServiceImpl implements ProductSpecService {
    @Autowired
    private ProductSpecMapper productSpecMapper;

    /**
     * 列表查询
     *
     * @param page  当前页
     * @param limit 每页限制
     * @return 分页结果
     */
    @Override
    public PageInfo<ProductSpec> findByPage(Integer page, Integer limit) {
        Page<Object> startPage = PageHelper.startPage(page, limit);
        List<ProductSpec> productSpecList = productSpecMapper.findByPage();

        startPage.close();
        return new PageInfo<>(productSpecList);
    }
}
